<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>MultiFileConfigurationBuilderProvider (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MultiFileConfigurationBuilderProvider (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MultiFileConfigurationBuilderProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilderProvider.html" target="_top">Frames</a></li>
<li><a href="MultiFileConfigurationBuilderProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder.combined</div>
<h2 title="Class MultiFileConfigurationBuilderProvider" class="title">Class MultiFileConfigurationBuilderProvider</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined.BaseConfigurationBuilderProvider</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.combined.MultiFileConfigurationBuilderProvider</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined">ConfigurationBuilderProvider</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MultiFileConfigurationBuilderProvider</span>
extends <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">BaseConfigurationBuilderProvider</a></pre>
<div class="block"><p>
 A specialized <code>ConfigurationBuilderProvider</code> implementation for
 integrating <a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><code>MultiFileConfigurationBuilder</code></a> with
 <code>CombinedConfigurationBuilder</code>.
 </p>
 <p>
 When using a configuration source managed by
 <code>MultiFileConfigurationBuilder</code> it is not sufficient to store the
 configuration once obtained from the builder in the resulting combined
 configuration. Rather, it has to be ensured that each access to this
 configuration queries the builder anew so that it can evaluate its file
 pattern and return a different configuration if necessary. Therefore, this
 class returns a specialized wrapper over a
 <code>MultiFileConfigurationBuilder</code> which returns a configuration wrapping
 the builder; so accessing the configuration's properties actually calls back
 to the builder. This constellation is compatible with the way
 <code>DynamicCombinedConfiguration</code> manages its data.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: MultiFileConfigurationBuilderProvider.java 1706911 2015-10-05 20:01:32Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilderProvider.html#MultiFileConfigurationBuilderProvider-java.lang.String-java.lang.String-">MultiFileConfigurationBuilderProvider</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configCls,
                                     <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paramCls)</code>
<div class="block">Creates a new instance of <code>MultiFileConfigurationBuilderProvider</code>
 and sets the name of the configuration class to be returned by
 <code>MultiFileConfigurationBuilder</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilderProvider.html#getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">getConfigurationBuilder</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl)</code>
<div class="block">Returns the builder for the configuration source managed by this
 provider.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.combined.BaseConfigurationBuilderProvider">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.combined.<a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">BaseConfigurationBuilderProvider</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#configureBuilder-org.apache.commons.configuration2.builder.BasicConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">configureBuilder</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#createBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">createBuilder</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#createParameterObjects--">createParameterObjects</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#determineBuilderClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">determineBuilderClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#determineConfigurationClass-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">determineConfigurationClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getBuilderClass--">getBuilderClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getConfigurationClass--">getConfigurationClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getParameterClasses--">getParameterClasses</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getReloadingBuilderClass--">getReloadingBuilderClass</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#inheritParentBuilderProperties-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">inheritParentBuilderProperties</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#initializeParameterObjects-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-java.util.Collection-">initializeParameterObjects</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#isAllowFailOnInit-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">isAllowFailOnInit</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MultiFileConfigurationBuilderProvider-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MultiFileConfigurationBuilderProvider</h4>
<pre>public&nbsp;MultiFileConfigurationBuilderProvider(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configCls,
                                             <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paramCls)</pre>
<div class="block">Creates a new instance of <code>MultiFileConfigurationBuilderProvider</code>
 and sets the name of the configuration class to be returned by
 <code>MultiFileConfigurationBuilder</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configCls</code> - the name of the managed configuration class</dd>
<dd><code>paramCls</code> - the name of the class of the parameters object to
        configure the managed configuration</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConfigurationBuilder</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder">ConfigurationBuilder</a>&lt;? extends <a href="../../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&gt;&nbsp;getConfigurationBuilder(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" title="class in org.apache.commons.configuration2.builder.combined">ConfigurationDeclaration</a>&nbsp;decl)
                                                                      throws <a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Returns the builder for the configuration source managed by this
 provider. This method is called during processing of the combined
 configuration definition file. This implementation delegates to some protected methods to
 create a new builder instance using reflection and to configure it with
 parameter values defined by the passed in <code>BeanDeclaration</code>. This implementation lets the super class create a fully
 configured builder. Then it returns a special wrapper around it.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html#getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">getConfigurationBuilder</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined">ConfigurationBuilderProvider</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html#getConfigurationBuilder-org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration-">getConfigurationBuilder</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/BaseConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined">BaseConfigurationBuilderProvider</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decl</code> - the bean declaration with initialization parameters for the
        configuration builder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ConfigurationBuilder</code> object created by this provider</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MultiFileConfigurationBuilderProvider.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ReloadingCombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilderProvider.html" target="_top">Frames</a></li>
<li><a href="MultiFileConfigurationBuilderProvider.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
